Skip to Content
Chameleon Docs
API referenceJobs and publishing

Get pack

The manual's published pack, its pictures as URLs. The deck as the glasses read it, each picture's `src` a URL: a public link for a public deck, and a signed one for a private deck.

GET
/api/manuals/{id}/pack

The manual's published pack, its pictures as URLs.

The deck as the glasses read it, each picture's src a URL: a public link for a public deck, and a signed one for a private deck.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response Body

The manual's published pack

application/json
  1. response
visibility*string
Value in"public""private"
packKey*string
packUrl*|
Formaturi
expiresAt*|
Formatdate-time
pack*
Example Request
curl -X GET 'https://www.chameleonlabs.org/api/manuals/string/pack'
Example Response
{  "visibility": "public",  "packKey": "string",  "packUrl": "http://example.com",  "expiresAt": "2019-08-24T14:15:22Z",  "pack": {    "format": 6,    "manualId": "string",    "title": "string",    "pictures": {      "property1": {        "src": "http://example.com",        "width": 1,        "height": 1      },      "property2": {        "src": "http://example.com",        "width": 1,        "height": 1      }    },    "cards": [      {        "id": "string",        "linkedOnly": true,        "fill": {          "color": "string",          "opacity": 0        },        "elements": [          {            "id": "string",            "x": -10000,            "y": -10000,            "width": 1,            "height": 1,            "rotation": 0,            "opacity": 0,            "link": "string",            "type": "picture",            "asset": "string"          }        ]      }    ]  }}